int8_t is char on illumos
https://www.illumos.org/issues/16523

--- abseil-cpp-20250127.1/absl/container/internal/layout_test.cc.orig
+++ abseil-cpp-20250127.1/absl/container/internal/layout_test.cc
@@ -1764,22 +1764,22 @@
 TEST(Layout, DebugString) {
   {
     constexpr auto x = Layout<int8_t, int32_t, int8_t, Int128>::Partial();
-    EXPECT_EQ("@0<signed char>(1)", x.DebugString());
+    EXPECT_EQ("@0<char>(1)", x.DebugString());
   }
   {
     constexpr auto x = Layout<int8_t, int32_t, int8_t, Int128>::Partial(1);
-    EXPECT_EQ("@0<signed char>(1)[1]; @4<int>(4)", x.DebugString());
+    EXPECT_EQ("@0<char>(1)[1]; @4<int>(4)", x.DebugString());
   }
   {
     constexpr auto x = Layout<int8_t, int32_t, int8_t, Int128>::Partial(1, 2);
-    EXPECT_EQ("@0<signed char>(1)[1]; @4<int>(4)[2]; @12<signed char>(1)",
+    EXPECT_EQ("@0<char>(1)[1]; @4<int>(4)[2]; @12<char>(1)",
               x.DebugString());
   }
   {
     constexpr auto x =
         Layout<int8_t, int32_t, int8_t, Int128>::Partial(1, 2, 3);
     EXPECT_EQ(
-        "@0<signed char>(1)[1]; @4<int>(4)[2]; @12<signed char>(1)[3]; "
+        "@0<char>(1)[1]; @4<int>(4)[2]; @12<char>(1)[3]; "
         "@16" +
             Int128::Name() + "(16)",
         x.DebugString());
@@ -1788,7 +1788,7 @@
     constexpr auto x =
         Layout<int8_t, int32_t, int8_t, Int128>::Partial(1, 2, 3, 4);
     EXPECT_EQ(
-        "@0<signed char>(1)[1]; @4<int>(4)[2]; @12<signed char>(1)[3]; "
+        "@0<char>(1)[1]; @4<int>(4)[2]; @12<char>(1)[3]; "
         "@16" +
             Int128::Name() + "(16)[4]",
         x.DebugString());
@@ -1796,7 +1796,7 @@
   {
     constexpr Layout<int8_t, int32_t, int8_t, Int128> x(1, 2, 3, 4);
     EXPECT_EQ(
-        "@0<signed char>(1)[1]; @4<int>(4)[2]; @12<signed char>(1)[3]; "
+        "@0<char>(1)[1]; @4<int>(4)[2]; @12<char>(1)[3]; "
         "@16" +
             Int128::Name() + "(16)[4]",
         x.DebugString());
@@ -1807,42 +1807,42 @@
   {
     constexpr auto x =
         Layout<int8_t, int32_t, int8_t, Int128>::WithStaticSizes<>::Partial();
-    EXPECT_EQ("@0<signed char>(1)", x.DebugString());
+    EXPECT_EQ("@0<char>(1)", x.DebugString());
   }
   {
     constexpr auto x =
         Layout<int8_t, int32_t, int8_t, Int128>::WithStaticSizes<>::Partial(1);
-    EXPECT_EQ("@0<signed char>(1)[1]; @4<int>(4)", x.DebugString());
+    EXPECT_EQ("@0<char>(1)[1]; @4<int>(4)", x.DebugString());
   }
   {
     constexpr auto x =
         Layout<int8_t, int32_t, int8_t, Int128>::WithStaticSizes<1>::Partial();
-    EXPECT_EQ("@0<signed char>(1)[1]; @4<int>(4)", x.DebugString());
+    EXPECT_EQ("@0<char>(1)[1]; @4<int>(4)", x.DebugString());
   }
   {
     constexpr auto x =
         Layout<int8_t, int32_t, int8_t, Int128>::WithStaticSizes<>::Partial(1,
                                                                             2);
-    EXPECT_EQ("@0<signed char>(1)[1]; @4<int>(4)[2]; @12<signed char>(1)",
+    EXPECT_EQ("@0<char>(1)[1]; @4<int>(4)[2]; @12<char>(1)",
               x.DebugString());
   }
   {
     constexpr auto x =
         Layout<int8_t, int32_t, int8_t, Int128>::WithStaticSizes<1>::Partial(2);
-    EXPECT_EQ("@0<signed char>(1)[1]; @4<int>(4)[2]; @12<signed char>(1)",
+    EXPECT_EQ("@0<char>(1)[1]; @4<int>(4)[2]; @12<char>(1)",
               x.DebugString());
   }
   {
     constexpr auto x = Layout<int8_t, int32_t, int8_t,
                               Int128>::WithStaticSizes<1, 2>::Partial();
-    EXPECT_EQ("@0<signed char>(1)[1]; @4<int>(4)[2]; @12<signed char>(1)",
+    EXPECT_EQ("@0<char>(1)[1]; @4<int>(4)[2]; @12<char>(1)",
               x.DebugString());
   }
   {
     constexpr auto x = Layout<int8_t, int32_t, int8_t,
                               Int128>::WithStaticSizes<1, 2, 3, 4>::Partial();
     EXPECT_EQ(
-        "@0<signed char>(1)[1]; @4<int>(4)[2]; @12<signed char>(1)[3]; "
+        "@0<char>(1)[1]; @4<int>(4)[2]; @12<char>(1)[3]; "
         "@16" +
             Int128::Name() + "(16)[4]",
         x.DebugString());
@@ -1852,7 +1852,7 @@
                                                                        4>
         x;
     EXPECT_EQ(
-        "@0<signed char>(1)[1]; @4<int>(4)[2]; @12<signed char>(1)[3]; "
+        "@0<char>(1)[1]; @4<int>(4)[2]; @12<char>(1)[3]; "
         "@16" +
             Int128::Name() + "(16)[4]",
         x.DebugString());
